Xfce Forum

Sub domains
 

You are not logged in.

#1 2019-11-07 15:41:29

jolupa
Member
Registered: 2019-05-03
Posts: 9

Issues Starting Xfce with Compositor Enabled

Seeing this I drop some days ago a question into the mailing list regarding that I can't launch Xfce from tty with startx.
It only happens with xfwm if I use Compton or disable compositor in the settings I can launch perfectly.
I made some researchs on Google and at the forums but can't find something that solve the problem, if anyone can help!
Thanks!

Offline

#2 2019-11-07 17:38:23

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 5,969

Re: Issues Starting Xfce with Compositor Enabled

I've created a separate thread for this issue. Original posted at: https://forum.xfce.org/viewtopic.php?id=13233

Can you provide some more information about your setup?
- Which distro are you using?
- Which Xfce version and more importantly, xfwm4 version?
- Contents of ~/.xinitrc (since you are using startx to start the session)
- Which video card and driver are you using?
- Log files from an unsuccessful login attempt (depending on the distro, potentially ~/.xsession-errors or "journalctl --user --no-pager")
- Did you try any of the suggested tweaks from the post above? If so, did any work?
- If you install a display manager (e.g. lightdm), are you then able to log in successfully with the compositor enabled?

Offline

#3 2019-11-08 00:23:59

jolupa
Member
Registered: 2019-05-03
Posts: 9

Re: Issues Starting Xfce with Compositor Enabled

My distro is Crux.
This is the .xsession-errors file content:

xauth:  file /home/jolupa/.serverauth.5007 does not exist


X.Org X Server 1.20.5
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.19.48 x86_64 
Current Operating System: Linux endor 4.19.81 #1 SMP Wed Nov 6 01:00:23 CET 2019 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.19.81 root=/dev/sda2 ro
Build Date: 26 October 2019  09:58:34PM
 
Current version of pixman: 0.38.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Nov  8 01:10:42 2019
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Unsupported high keycode 372 for name <I372> ignored
>                   X11 cannot support keycodes above 255.
>                   This warning only shows for the first high keycode.
Errors from xkbcomp are not fatal to the X server
No default user directories
Gtk-Message: 01:10:42.934: Failed to load module "GTK_MODULES"
/usr/bin/iceauth:  creating new authority file /var/run/user/101/ICEauthority
gpg-agent[5082]: WARNING: "--write-env-file" is an obsolete option - it has no effect
gpg-agent[5083]: gpg-agent (GnuPG) 2.2.17 started

(xfce4-session:5043): xfce4-session-WARNING **: 01:10:43.000: gpg-agent returned no PID in the variables

(xfce4-session:5043): xfce4-session-WARNING **: 01:10:43.001: xfsm_manager_load_session: Something wrong with /home/jolupa/.cache/sessions/xfce4-session-endor:0, Does it exist? Permissions issue?
Gtk-Message: 01:10:43.007: Failed to load module "GTK_MODULES"
Gtk-Message: 01:10:43.093: Failed to load module "GTK_MODULES"
xfwm4: ../src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1092: intel_miptree_match_image: Assertion `image->TexObject->Target == mt->target' failed.
Gtk-Message: 01:10:43.103: Failed to load module "GTK_MODULES"
Gtk-Message: 01:10:43.113: Failed to load module "GTK_MODULES"
Warning:          Unsupported high keycode 372 for name <I372> ignored
                  X11 cannot support keycodes above 255.
                  This warning only shows for the first high keycode.
Warning:          Unsupported high keycode 372 for name <I372> ignored
                  X11 cannot support keycodes above 255.
                  This warning only shows for the first high keycode.
Gtk-Message: 01:10:43.311: Failed to load module "GTK_MODULES"
xinit: connection to X server lost

waiting for X server to shut down 
(xfwm4:5093): libxfce4ui-WARNING **: 01:10:43.426: ICE I/O Error

(xfwm4:5093): xfwm4-WARNING **: 01:10:43.426: Failed to connect to session manager: Ha fallat la connexió al gestor de sessions: IO error occured opening connection

(xfwm4:5093): libxfce4ui-WARNING **: 01:10:43.426: Disconnected from session manager.
Gdk-Message: 01:10:43.427: xfwm4: Fatal IO error 25 (Inappropriate ioctl for device) on X server :0.0.

xfsettingsd: Another instance took over. Leaving...
Gdk-Message: 01:10:43.489: xfsettingsd: Fatal IO error 2 (No such file or directory) on X server :0.

(II) Server terminated successfully (0). Closing log file.

gpg-agent[5083]: can't connect my own socket: IPC connect call failed
gpg-agent[5083]: this process is useless - shutting down
gpg-agent[5083]: gpg-agent (GnuPG) 2.2.17 stopped

The content of my .xinitrc is:

#!/bin/bash

export LC_ALL=ca_ES.UTF-8
export LANG=ca_ES.UTF-8
export LANGUAGE=ca_ES.UTF-8
GTK_MODULES="GTK_MODULES:canberra-gtk-module"
export GTK_MODULES

exec ck-launch-session startxfce4

I use the i915 intel driver drm (I think is called that way) with no problems running Openbox or Xfce with compton.

I didn't try the solutions from the other post I will do in a moment and update this comment to reflect any change.

Thanks.

EDIT: The solutions are not working.

Last edited by jolupa (2019-11-08 00:30:30)

Offline

#4 2019-11-08 01:33:29

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 5,969

Re: Issues Starting Xfce with Compositor Enabled

jolupa wrote:

xfwm4: ../src/mesa/drivers/dri/i965/intel_mipmap_tree.c:1092: intel_miptree_match_image: Assertion `image->TexObject->Target == mt->target' failed.

This is/was a known bug in mesa. Apparently it was fixed mesa 19.2.1, What version of mesa do you have?

References:
- xfwm4 bug report
- mesa bug report

Offline

#5 2019-11-08 15:40:45

jolupa
Member
Registered: 2019-05-03
Posts: 9

Re: Issues Starting Xfce with Compositor Enabled

Hi! thanks for the reply.
I'm using the last mesa3d (19.2.3)

Offline

#6 2019-11-08 20:44:07

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 5,969

Re: Issues Starting Xfce with Compositor Enabled

According to this, it hasn't been fixed yet. It appears to involve the intel driver. Are you using the intel driver? If so, have you tried the modesetting driver?

Offline

#7 2019-11-10 18:49:31

jolupa
Member
Registered: 2019-05-03
Posts: 9

Re: Issues Starting Xfce with Compositor Enabled

Hi, sorry for the late reply... Yeah tested modesetting and the problem is the same... hmm
Don't know where to look for more.

Offline

#8 2019-11-10 21:05:15

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 5,969

Re: Issues Starting Xfce with Compositor Enabled

I'm not sure what to suggest. This seems to be where they are discussing the issue. There is a proposed patch there.

Edit: Also, from https://bugzilla.xfce.org/show_bug.cgi?id=15765:

This is a Mesa (DRI) bug in the intel driver.

This occurs because your distribution builds Mesa with assert() enabled.

As a workaround, please take it to your distributions and tell them to build Mesa with “-Db_ndebug=true”.

Either way, not a bug in xfwm4.

Perhaps report it to the Crux developers so they can fix it in their build of the mesa package?

Last edited by ToZ (2019-11-10 21:13:09)

Offline

#9 2019-11-10 22:42:33

jolupa
Member
Registered: 2019-05-03
Posts: 9

Re: Issues Starting Xfce with Compositor Enabled

Ops! That made the trick! Thanks...
I shoot a mail to the mesa maintainet in Crux to see if he can add that line to the package build!
Thanks a lot!

Offline

Board footer

Powered by FluxBB